Bug 220403 - Rebuild rpy against new R-2.4.1-1.fc6
Rebuild rpy against new R-2.4.1-1.fc6
Product: Fedora
Classification: Fedora
Component: rpy (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-12-20 18:33 EST by Alex Lancaster
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.4.6-15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-04 17:37:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alex Lancaster 2006-12-20 18:33:47 EST
Description of problem:
*sigh* yet another rebuild.  I do wish you guys would better co-ordinate your R
and R-dependent releases better.  I see that the rpy.spec hasn't yet been
updated, let alone building on:


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. sudo yum upgrade
Actual results:
--> Running transaction check
--> Processing Dependency: R = 2.4.0 for package: rpy
--> Finished Dependency Resolution
Error: Missing Dependency: R = 2.4.0 is needed by package rpy

Expected results:
rpy is upgraded.
Comment 1 Kevin Fenzi 2006-12-21 00:37:25 EST
FYI, it appears that there are several newer releases as well... 

2006-04-04: 0.99.2 
2006-08-08: 1.0-RC1
2006-12-11: 1.0-RC2

I don't know how stable the rc's are, but it might be worth upgrading to the
latest version?
Comment 2 José Matos 2007-01-04 17:37:06 EST
I was waiting until some time ago for numpy to stabilise, since newer versions 
support it instead of Numeric. That already happened and I will take the 
chance to move from a Numeric based rpy to a numpy based with rpy 1.0, 
probably I will do this only for F7.

Your input is appreciated. :-)

PS: Since the package is already built I will close this bug as fixed. Any 
further discussions can proceed in the fedora-r-devel list.

Note You need to log in before you can comment on or make changes to this bug.